Components.utils.import("resource://livemargins/manager2.js");
var widget = {
	__proto__ : widgetbase,	//make this object 'extends' widgetbase
	isMovingContent : false,
	isMovingWindow : false,
	isResizing : false,
	moveStartPos : {x : 0,y : 0},
	defaultView : null,
	reloader : null,
	reloadInterval : 20000,
	titlebarMinWidth : 160,
	width : 300,
	height :300,
	heightWithPlaylist :700,
	LOG : function(msg) {
		this.__proto__.LOG.apply(this,["favpart search player: "+ msg]);
	},
	init : function(){
		this.LOG("init");
		//in case this is opened manually
		if (favpart_manager.picWin == null || favpart_manager.picWin.closed){
			favpart_manager.picWin = window;
		}
		var args = window.arguments[0];
		if (args.widgetArgs == null){
			args.widgetArgs = {docked:false};
		}
		if (args.widgetArgs.docked == null){
			args.widgetArgs.docked = false;
		}
		this.__proto__.init.apply(this);
		this.args.startWithFirefox = 0;
		if( args.widgetArgs && args.widgetArgs.picId){
			this.doGrabPic(args.widgetArgs.picId);
		}
		var contentBrowser = document.getElementById("player_browser");
		this.injectJStoBrowser("http://www.g-fox.cn/livemargins/picWidget.js");
		this.LOG("init done");
	},
	modifyState : function (){
		//this.LOG("tada");
		try {
			var browser = document.getElementById("player_browser");
			if (this.args.widgetArgs == null) this.args.widgetArgs = {};
			this.args.widgetArgs.width = browser.boxObject.width;
			this.args.widgetArgs.height = browser.boxObject.height;
			this.args.widgetArgs.picId = "";
			this.__proto__.modifyState.apply(this);
		} catch (e){
			this.LOG(e.toString());
		}
	},
	getIcon : function(){
		return "chrome://livemargins/skin/search-icon.png";

	},
	doGrabPic : function(picId){
		if (picId == null || picId == ""){
			return;
		}
		var browser = document.getElementById("player_browser");
		var request_uri = "chrome://livemargins/content/grabpic.html?s=";
		var link = request_uri + encodeURIComponent(picId);
		browser.setAttribute("src",link);
		if (windowTools.hidden == true){
			windowTools.hidden = false;
		}
		window.focus();
	// handle dock
		dockable.hiding = false;
		dockable.showAndHideDockable();
	},
	closePic : function(force){
		if (force){
			window.close();
		} else {
			//no close
		}
	},
};


//basic handling
window.addEventListener("load",function() {widget.init();},false);
