Components.utils.import("resource://livemargins/manager2.js");
var widget = {
	__proto__ : widgetbase,	//make this object 'extends' widgetbase
	isMovingContent : false,
	isMovingWindow : false,
	isResizing : false,
	moveStartPos : {x : 0,y : 0},
	defaultView : null,
	reloader : null,
	reloadInterval : 20000,
	titlebarMinWidth : 160,
	width : 315,
	height : 280,
	heightWithPlaylist :625,
	LOG : function(msg) {
		this.__proto__.LOG.apply(this,["favpart tv widget: "+ msg]);
	},
	init : function(){
		this.LOG("init");
		var args = window.arguments[0];
		this.__proto__.init.apply(this);
		this.hackList();
		this.LOG("init done");
	},
	initBrowser: function() {
		this.LOG(['real loaded', this.browser]);
		this.hackList();
		this.openLinkInTab();
		if (this.args.widgetArgs == null){
			this.args.widgetArgs = {playlistOpen : true};
		}
		if (this.args.widgetArgs.playlistOpen){
			this.switchPlaylist(true);
		} else {
			//do nothing
		}
		this.injectJStoBrowser("http://www.g-fox.cn/livemargins/videoWidget.js");
	},
	reportClick : function(link){
		var req = new XMLHttpRequest();  
		req.open('GET', 'http://www.g-fox.cn/livemargins/reportVideoLink.html?value='+encodeURIComponent(link), true);   
		req.send(null);  
	},
	openLinkInTab : function(){
		this.__proto__.openLinkInTab.apply(this,[true]);
	},
	hackList: function() {
		var browser = document.getElementById('player_browser');
		var doc = browser.contentDocument.wrappedJSObject;
		var btn = doc.createElement('div');
		btn.setAttribute('style', 'position:absolute; left:116px; top:223px; width:70px; height:12px; background:transparent url(chrome://livemargins/skin/video_list_btn.png) no-repeat scroll 0 0; z-index:99999; cursor:pointer;');
		var me = this;
		btn.addEventListener('click', function(evt) {
			me.switchPlaylist();
			evt.preventDefault();
			evt.stopPropagation();
		}, true);
		doc.getElementsByTagName('body')[0].appendChild(btn);
		this.LOG(btn);
	},
	switchPlaylist : function(checked) {
		widget.LOG("switchPlaylist");
		var pl = document.getElementById("tv-playlist");
		if (checked == undefined) {
			checked = !(pl.getAttribute('checkState') == 1);
		}
		if(checked){
			window.resizeTo(this.width,this.heightWithPlaylist+document.getElementById("chrome-title-box").boxObject.height);
		} else {
			window.resizeTo(this.width,this.height+document.getElementById("chrome-title-box").boxObject.height);
		}
		pl.setAttribute('checked', checked ? 'true' : 'false');
		pl.setAttribute('checkState', checked ? 1 : 0);
		this.args.widgetArgs.playlistOpen = checked ? true : false;
	},
	getIcon : function(){
		return "chrome://livemargins/skin/tv-icon.png";
	},
};

window.addEventListener("load",function() {widget.init();},false);

