Components.utils.import("resource://livemargins/manager2.js");
window.setTimeout(function (){favpart_manager.init();},2000);


var favpart_monitor = {
	debug : false,
	targetEmbed : null,
	originalPos : {x :0, y:0},
	browserPos : null,
	minWidth : 160,
	minHeight : 90,
	selectionBoxPos : {	left : 0,top : 0,width : 0,	height : 0 },
	captureing : false,
	notification : null,
	LOG : function(msg) {
		if (this.debug){
			try{
				var consoleService = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);
				consoleService.logStringMessage("livemargins: favpart_monitor: " + msg);
			} catch(e){}
		}
	},
	reportError : function(error){
		try {
			if(this.debug){
				Components.utils.reportError(error);
			}
		} catch (e){
			Components.utils.reportError(e);
		}
	},
	init : function (ev ) {
		var mainWin = document.getElementById("appcontent");
		mainWin.addEventListener("DOMContentLoaded", favpart_monitor.injectPage, false);
		window.addEventListener("unload", function() {
				var mainWin = document.getElementById("appcontent"); 
				mainWin.removeEventListener("DOMContentLoaded", favpart_monitor.injectPage, false); 
				window.removeEventListener("unload", arguments.callee, false); 
			}, false);
		window.addEventListener("keydown", function() {
				var panel = document.getElementById("capture-panel");
				if (panel.state == "open"){
					panel.hidePopup();
				}
			}, false);
		window.addEventListener("click", function(event) {
				var panel = document.getElementById("capture-panel");
				var favButton = document.getElementById("favpart-button");
				var mainWin = document.getElementById("main-window");
				if (panel.state == "open" && event.target != favButton){
					var parNode = event.target;
					while (parNode != null){
						if (parNode == panel) return;  // do nothing
						parNode = parNode.parentNode;
					}
					panel.hidePopup();
				}
			}, false);
//		var control = document.getElementById('livemargins_monitor_panel');
//		control.addEventListener("mouseover",function (ev){favpart_monitor.showControl(ev)},false);
//		control.addEventListener("mouseout",function (ev){favpart_monitor.hideControl(ev)},false);
		if (navigator.appVersion.indexOf("Mac")!= -1 || navigator.appVersion.indexOf("Linux")!= -1 || navigator.appVersion.indexOf("X11")!= -1){
			document.getElementById("livemargin3-button").addEventListener("mousedown",function(event) {
					if (event.button == 2){
						event.stopPropagation();
						event.preventDefault();
						favpart_manager.getWidgetManager().favpart_widgetManager.openMainMenu(this,'after_end',0,0);
					}
				}, true);
			if (navigator.appVersion.indexOf("Linux")!= -1 ||navigator.appVersion.indexOf("X11")!= -1){
				document.getElementById("livemargin3-button").setAttribute("context","");
			}	
		} else{
			document.getElementById("livemargin3-button").addEventListener("click",function(event) {
					if (event.button == 2){
						event.stopPropagation();
						event.preventDefault();
						favpart_manager.getWidgetManager().favpart_widgetManager.openMainMenu(this,'after_end',0,0);
					}
				}, true);
		}
		
		//check whether user has manually removed the toolbar buttons
		var urlbar = document.getElementById("nav-bar");
		if (urlbar != null){
			urlbar.addEventListener("DOMAttrModified",function(event){
						if (event.type == "DOMAttrModified" && event.attrName == "currentset"){
							if (event.newValue.indexOf("livemargin3-button") == -1){
								favpart_manager.setPref("manuallyRemovedLivemargin3Button",true);
							}else {
								favpart_manager.setPref("manuallyRemovedLivemargin3Button",false);
							}
							if (event.newValue.indexOf("favpart-button") == -1){
								favpart_manager.setPref("manuallyRemovedFavpartButton",true);
							}else {
								favpart_manager.setPref("manuallyRemovedFavpartButton",false);
							}
						}
					},false);
		}
		//add LM3 toolbarbutton
		favpart_addToolbarButtons(false);

	},
	showNotification : function (text){
		try {
			var notificationBox = gBrowser.getNotificationBox();
			var priority = notificationBox.PRIORITY_INFO_HIGH;
			this.notification = notificationBox.appendNotification(text, "livemargins-notification",
											 "chrome://livemargins/skin/scissors.png",
											 priority, []);
											 
		}
		catch(e) {cpmanager_LOG("cpmanager: cpmanager_checkAddonUpdates: exception: "+e);}
	},
	closeNotification : function (text){
		if (this.notification){
			var notificationBox = gBrowser.getNotificationBox();
			notificationBox.removeNotification(this.notification);
			this.notification = null;
		}
	},
	injectPage : function( ev ) {
		try {
			if (! ev.originalTarget instanceof HTMLDocument ) {
				return;
			}
			//favpart_monitor.LOG("inject Page");
			var view = ev.originalTarget.defaultView;
			if (view && view.top == view){
//				favpart_monitor.LOG("inject Page: inside if");
				view.document.addEventListener("mouseover", function(ev) {if (ev.originalTarget instanceof HTMLEmbedElement && ev.originalTarget.offsetWidth >= favpart_monitor.minWidth && ev.originalTarget.offsetHeight >= favpart_monitor.minHeight) {favpart_monitor.showControl(ev)}},false);
				view.document.addEventListener("mouseout", function(ev) {if (ev.originalTarget instanceof HTMLEmbedElement) {favpart_monitor.hideControl(ev)}},false);


//	add for sina music
				var strDomains = favpart_manager.getPrefFromRoot("extensions.livemargins@mozillaonline.com.lminteractivesites","i.g-fox.cn");
				var domains = strDomains.split(",");
				var url = view.document.URL;
				for (var i = 0; i< domains.length; i++){
					var domain = domains[i].replace(' ', '');
					if (url.indexOf(domain) >= 0){
						view.wrappedJSObject.inlivemargin = true;
						view.addEventListener("LM_PlayMusic",function(event) {
								var songId = event.target.getAttribute("rel");
								favpart_manager.playMusic(songId);
								event.preventDefault();
							},true);
						break;
					}
				}
				
/* 				var embeds = view.document.getElementsByTagName('embed');
				for (var i = 0; i < embeds.length; i++){
//					favpart_monitor.LOG("inject Page: inside for: i = " + i);
					if (embeds[i].offsetWidth > this.minWidth && embeds[i].offsetHeight > this.minHeight){
						embeds[i].addEventListener("mouseover",function (ev) {favpart_monitor.showControl(ev)},false);
						embeds[i].addEventListener("mouseout",function (ev) {favpart_monitor.hideControl(ev)},false);
					}
				}*/
				favpart_monitor.addControl(ev.originalTarget); 
			}
		} catch ( e ){
			
		}
	},
	addControl : function(doc){
// visual effect of the control
//		favpart_monitor.LOG("addControl");
		var control = doc.createElement('div');
		control.addEventListener("mouseover",function (ev){favpart_monitor.showControl(ev)},false);
		control.addEventListener("mouseout",function (ev){favpart_monitor.hideControl(ev)},false);
		control.id = "livemargins_control";
		control.style.position = "absolute";
		control.style.display = "none";
		control.style.zIndex = 9999;
//		favpart_monitor.LOG("addControl: 1");

//behavior of the control
		favpart_monitor.targetEmbed = null;
		doc.body.appendChild(control);	
		control.innerHTML = "<img width='77' height='5' src='chrome://livemargins/skin/monitor-background-horizontal.png' style='position: absolute;left:-77px;top:-5px'/>	<img src='chrome://livemargins/skin/monitor-background-vertical.png' style='position: absolute;left:0;top:-5px;'/>	<img id='monitor-play-button' src='chrome://livemargins/skin/monitor-play-button.png' onmouseover='this.style.opacity=1' onmouseout='this.style.opacity=0.5' style='position: absolute;left:1px;top:0;opacity:0.5;cursor:pointer'/>";
		control.hiding = true;
		doc.getElementById("monitor-play-button").addEventListener("click",function(event){favpart_monitor.playVideo(event);},false);
		favpart_monitor.LOG("addControl: 2");
//		favpart_monitor.LOG("addControl: return");
	},
// if target
	showAndHideControl : function (control){
		var hiding = control.getAttribute("hiding");
//		var control_shade =  document.getElementById('livemargins_monitor_panel_shade');
//		favpart_monitor.LOG(hiding);
//		favpart_monitor.LOG(control.style.opacity);
		if (hiding == "true"){
			if (control.style.opacity > 0){
				if (control.style.opacity == ""){
					control.style.opacity = 1;
//					control_shade.style.opacity = 1;
				}
//				control_shade.style.opacity = parseFloat(control.style.opacity) - 0.1;
				control.style.opacity = parseFloat(control.style.opacity) - 0.1;
				window.setTimeout(function (){favpart_monitor.showAndHideControl(control);},50);
			} else {
				control.display = "none";
//				control.hidePopup();
//				control_shade.hidePopup();
			}
		} else {
			if (control.style.opacity <1){
				if (control.style.opacity == ""){
					control.style.opacity = 0;
//					control_shade.style.opacity = 0;
				}else {
//					favpart_monitor.LOG(parseFloat(control.style.opacity) + 0.1);
//					control_shade.style.opacity = parseFloat(control.style.opacity) + 0.1;
					control.style.opacity = parseFloat(control.style.opacity) + 0.1;
				}
				window.setTimeout(function (){favpart_monitor.showAndHideControl(control);},50);
			}
		}
	},
	showControl : function (ev){
//		favpart_monitor.LOG("showControl");
		var target = ev.originalTarget;
		var browser = gBrowser.selectedBrowser;
		var doc = browser.contentDocument;
		var control = doc.getElementById("livemargins_control");
		if (target.tagName.toLowerCase() == 'embed' && target != favpart_monitor.targetEmbed){
//change target		
			favpart_monitor.targetEmbed = target;
		}
		var pos = livemargins_util.getRectTRBLWH(favpart_monitor.targetEmbed,browser.contentWindow);
		var left = doc.defaultView.scrollX + pos.right;
		var top = doc.defaultView.scrollY + pos.top;
		control.style.top = top+"px";
		control.style.left = left+"px";
		control.style.display = "block";
		control.setAttribute("hiding",false);
		favpart_monitor.showAndHideControl(control);
/*		
		var control2 = document.getElementById('livemargins_monitor_panel');
		var control_shade = document.getElementById('livemargins_monitor_panel_shade');
		if (target.tagName.toLowerCase() == 'embed' && target != favpart_monitor.targetEmbed){
//change target		
			favpart_monitor.targetEmbed = target;
// clear the previous control
//			control2.style.opacity = 0;
//			control_shade.style.opacity = 0;
			control2.hidePopup();
			control_shade.hidePopup();
//adjust position
	//		var pos = livemargins_util.calculateBoxPos(target);
		}
//adjust opacity
//		favpart_monitor.LOG(-(control2.boxObject.width+10));
		var browser = gBrowser.selectedBrowser;
		var pos = livemargins_util.getRectTRBLWH(favpart_monitor.targetEmbed,browser.contentWindow);
		if (pos.top < 0 || pos.right > window.innerWidth) return;
		control2.openPopup(favpart_monitor.targetEmbed,"end_before",0,-5,false,true);
		control_shade.openPopup(favpart_monitor.targetEmbed,"end_before",-77,-5,false,true);
		control2.setAttribute("hiding",false);
		control_shade.setAttribute("hiding",false);
		favpart_monitor.showAndHideControl(control2);
		*/
	},
	hideControl : function (ev){
//adjust opacity
		var browser = gBrowser.selectedBrowser;
		var doc = browser.contentDocument;
		var control = doc.getElementById("livemargins_control");
		control.setAttribute("hiding",true);
		favpart_monitor.showAndHideControl(control);
	},
	playVideo : function (ev){
		var doc = favpart_monitor.targetEmbed.ownerDocument;
// do not use document.URL, instead use doc.location, because doc.URL can not monitor the dynamic change in the URL
		favpart_monitor.LOG(doc.location);
		favpart_monitor.LOG(favpart_monitor.targetEmbed);
		var pos = livemargins_util.getRectTRBLWH(favpart_monitor.targetEmbed,getBrowser().selectedBrowser.contentWindow);
		favpart_monitor.LOG(window.screenX+","+window.screenY);
		var fullZoom = gBrowser.selectedBrowser.markupDocumentViewer.fullZoom;
		var screenX = pos.left*fullZoom + window.screenX + 1;
		var screenY = pos.top*fullZoom + window.screenY + getBrowser().selectedBrowser.boxObject.y + 5;
		favpart_monitor.LOG(screenX+","+screenY);
		var tagName = favpart_monitor.targetEmbed.tagName;
		var elementIndex = -1;
		if (tagName){
			var elems = doc.getElementsByTagName(tagName);
			for (i = 0; i< elems.length; i++){
				if (elems[i] == favpart_monitor.targetEmbed){
					elementIndex = i;
				}
			}
		}
		favpart_monitor.LOG(tagName+" "+elementIndex);
		if (tagName && elementIndex != -1){
			if (favpart_monitor.targetEmbed.clientWidth > favpart_monitor.minWidth && favpart_monitor.targetEmbed.clientHeight > favpart_monitor.minHeight){
				favpart_manager.addVideoPlayer(doc.title,doc.location.toString(),pos.left/fullZoom + doc.defaultView.scrollX,pos.top/fullZoom + doc.defaultView.scrollY, screenX, screenY, favpart_monitor.targetEmbed.clientWidth, favpart_monitor.targetEmbed.clientHeight, window.content.document.documentElement.clientWidth, window.content.document.documentElement.clientHeight, tagName, elementIndex,favpart_monitor.targetEmbed.clientWidth,favpart_monitor.targetEmbed.clientHeight);
			}else {
				var control = doc.getElementById("livemargins_control");
				control.setAttribute("hiding",true);
				control.style.display = "none";
				control.style.opacity = 0;
			}
		}
		else {
			favpart_manager.addFavpart(doc.title,doc.location.toString(),pos.left/fullZoom + doc.defaultView.scrollX,pos.top/fullZoom + doc.defaultView.scrollY, screenX, screenY, favpart_monitor.targetEmbed.clientWidth, favpart_monitor.targetEmbed.clientHeight, window.content.document.documentElement.clientWidth, window.content.document.documentElement.clientHeight,fullZoom);
		}
		//var sidebarWindow = window.openDialog('chrome://livemargins/content/playerWindow.xul', '_blank', 'chrome,all,dialog=no,alwaysRaised=yes,titlebar=no',pos.x,pos.y, favpart_monitor.targetEmbed.clientWidth, favpart_monitor.targetEmbed.clientHeight, window.content.document.documentElement.clientWidth, window.content.document.documentElement.clientHeight,doc.URL);
		favpart_monitor.LOG("playVideo complete");
	},
	addToPlayList : function (ev){
	
	},

	printScreen : function() {
		var mainwin = document.getElementById("main-window");
		if (!mainwin.getAttribute("xmlns:html"))
	    		mainwin.setAttribute("xmlns:html", "http://www.w3.org/1999/xhtml");

		var content = window.content;
		var desth = content.innerHeight;
		var destw = content.innerWidth;

		// Unfortunately there is a limit:
		if (desth > 16384) desth = 16384;

		var canvas = document.createElementNS("http://www.w3.org/1999/xhtml", "html:canvas");
		var ctx = canvas.getContext("2d");

		canvas.height = desth;
		canvas.width = destw;
		ctx.clearRect(0, 0, destw, desth);
    		ctx.save();
		ctx.drawWindow(content, content.scrollX, content.scrollY, destw, desth, "rgb(255,255,255)");
	
		return canvas.toDataURL("image/png", "");
	/*	
		var img = new Image();
		img.src = canvas.toDataURL("image/png", "");
		document.popupNode = img;
		goDoCommand("cmd_copyImageContents");
	*/
	},
	capture : function (ev){
		this.LOG("captureing");
		var panel = document.getElementById("capture-panel");
		// if (this.captureing == true){
			// this.LOG("no show")
			// return;
		// }
		// this.captureing = true;
		
		if (panel.state == "open"){
			panel.hidePopup();
			return;
		}
		if (navigator.appVersion.indexOf("X11")!= -1 || navigator.appVersion.indexOf("Linux")!= -1){
			var bgImg = favpart_monitor.printScreen();
			panel.style.backgroundImage= "url('"+bgImg+"')";
			var scrollX = window.content.scrollX;
			var scrollY = window.content.scrollY;
			favpart_monitor.bkgndInterval = window.setInterval(function() {
					if (window.content.scrollX != scrollX || window.content.scrollY != scrollY){
						scrollX = window.content.scrollX;
						scrollY = window.content.scrollY;
						var bgImg = favpart_monitor.printScreen();
			                        panel.style.backgroundImage= "url('"+bgImg+"')";
					}
				},50);
	        panel.addEventListener("popuphidden",function(){
						panel.removeEventListener("popuphidden",arguments.callee,true);
						window.clearInterval(favpart_monitor.bkgndInterval);
                                },true);

		}
		var browser = gBrowser.selectedBrowser;
		this.LOG(browser.boxObject.width);
		this.LOG(window.content.innerWidth);
		var doc = browser.contentDocument;
		this.LOG(doc.width);

		var error_sites1 = favpart_manager.getPref("errorsitesone","");
		var domains = error_sites1.split(",");
		for (var i = 0; i< domains.length; i++){
			if (doc.URL.indexOf(domains[i]) >= 0){
				var strbundle = document.getElementById("livemarginsStrings");
				var errsite1 = strbundle.getString("notification.iframe1");
				this.showNotification(errsite1)
			}
		}
		var error_sites2 = favpart_manager.getPref("errorsitestwo","");
		domains = error_sites2.split(",");
		for (i = 0; i< domains.length; i++){
			if (doc.URL.indexOf(domains[i]) >= 0){
				strbundle = document.getElementById("livemarginsStrings");
				errsite2 = strbundle.getString("notification.iframe2");
				this.showNotification(errsite2)
			}
		}


		var div = document.getElementById("capture-div");
		var docWidth = doc.documentElement.clientWidth;
		if (docWidth > 0 && docWidth > browser.boxObject.width -50){  //doc.width ==0 sometimes, and sometimes, doc.width does not equal to browser.width - scrollbar width
			div.width = browser.boxObject.width < docWidth?browser.boxObject.width : docWidth;
		}else {
			div.width = browser.boxObject.width;
		}
		div.height = browser.boxObject.height;
		this.browserPos = {
				x:browser.boxObject.x,
				y:browser.boxObject.y,
				width:browser.boxObject.width,
				height:browser.boxObject.height
			};
		panel.removeAttribute("hidden");
		panel.openPopup(browser,"overlap",0,0,false,true);
		var box = document.getElementById("selection-box");
		var control = document.getElementById("selectionbox-control-set");
		box.style.visibility = "visible";
		control.style.visibility = "hidden";
		//in case multiple handler is added
		div.removeEventListener("mousemove",resizingHandler,false);
		div.removeEventListener("mouseup",endResizeHandler,false);

		div.addEventListener("mousemove",guessSelectionHandler,false);
		div.addEventListener("mousedown",endDrawHandler,false);
//		panel.addEventListener("mouseup",endCaptureHandler,false);

// deal with out of screen
		window.favpart_moveMonInterval = window.setInterval(function(){
					if (browser.boxObject.screenX < 0 || browser.boxObject.screenX + browser.boxObject.width > window.screen.width ||
						browser.boxObject.screenY < 0 || browser.boxObject.screenY + browser.boxObject.height > window.screen.height){
						panel.hidePopup();
						var strbundle = document.getElementById("livemarginsStrings");
						var errstr = strbundle.getString("notification.keepbrowserinside");
						favpart_monitor.showNotification(errstr);
					}
				},300);
		panel.addEventListener("popuphidden",function(){
					panel.removeEventListener("popuphidden",arguments.callee,true);
					window.clearInterval(window.favpart_moveMonInterval);
					panel.setAttribute("hidden",true);
				},true);
	},
	endCapture : function (event){
		var panel = document.getElementById("capture-panel");
//		panel.removeEventListener("mouseup",endCaptureHandler,false);
		var box = document.getElementById("selection-box");
		var browser = window.getBrowser().selectedBrowser;
		var doc = browser.contentDocument;
// -1 is for there is a +1 when show the box
		var boxTopInBrowser = box.boxObject.y - browser.boxObject.y - 1;
		var boxLeftInBrowser = box.boxObject.x - browser.boxObject.x - 1;
		var fullZoom = gBrowser.selectedBrowser.markupDocumentViewer.fullZoom;
		var pos = {x : boxLeftInBrowser/fullZoom + doc.defaultView.scrollX, y : boxTopInBrowser/fullZoom + doc.defaultView.scrollY};
	// 1 and  5 are calculated
		var screenX = boxLeftInBrowser + window.screenX + 1;
		var screenY = boxTopInBrowser + window.screenY + getBrowser().selectedBrowser.boxObject.y + 5;
		//a scrollbar should not be more than 50px, document.documentElement.clientWidth could be 0 sometimes, so if it's 0 or wrong... use boxObject instead
		var browserWidth = (doc.documentElement.clientWidth == 0 || doc.documentElement.clientWidth > browser.boxObject.width || doc.documentElement.clientWidth < browser.boxObject.width -50) ? browser.boxObject.width : doc.documentElement.clientWidth;
		var browserHeight = (doc.documentElement.clientHeight == 0 || doc.documentElement.clientHeight > browser.boxObject.height || doc.documentElement.clientHeight < browser.boxObject.height -50) ? browser.boxObject.height : doc.documentElement.clientHeight;
		this.LOG([browser.boxObject.width,document.documentElement.clientWidth,browserWidth,browserHeight]);
		favpart_manager.addFavpart(doc.title,doc.URL,pos.x,pos.y, screenX, screenY, box.boxObject.width, box.boxObject.height, browserWidth, browserHeight,fullZoom);
		var box = document.getElementById("selection-box");
		//box.style.visibility = "hidden";
		this.closeNotification();
		panel.hidePopup();
	},
//	guessDraw : function(ev){
//		var doc = window
//		var element = 
//	},
	// beginDraw : function(ev){
		// var box = document.getElementById("selection-box");
		// var div = document.getElementById("capture-div");
		// div.addEventListener("mousemove",drawHandler,false);
		// div.addEventListener("mouseup",endDrawHandler,false);
		// box.style.visibility = "hidden";
		// box.style.left = ev.clientX - favpart_monitor.browserPos.x + "px";
		// box.style.top = ev.clientY - favpart_monitor.browserPos.y + "px";
		// favpart_monitor.originalPos.x = ev.clientX;
		// favpart_monitor.originalPos.y = ev.clientY;
		// this.LOG(ev.clientX+","+ev.clientY);
	// },
	setSelectionBoxPos : function(left,top,width,height){
		var boxleft = document.getElementById("selection-box-left");
		var boxTop = document.getElementById("selection-box-top");
		var box = document.getElementById("selection-box");
		boxleft.width = left + 1;	//test shows that the left is 1px smaller than the real one
		boxTop.height = top;	//leave space for the box border
		box.width = width;
		box.height = height;
		this.selectionBoxPos = {
			left : left,
			top : top,
			width : width,
			height : height
		};
	},
	getSelectionFromPoint : function(x,y){
		var curDoc = getBrowser().selectedBrowser.contentDocument;
		var elem = curDoc.elementFromPoint(x,y);
//		this.LOG(elem.tagName);
		while (elem.parentNode!= null && elem.parentNode != curDoc.documentElement){
			if (/*elem.tagName.match(/div|embed|iframe|img/i) && */elem.offsetWidth >= this.minWidth && elem.offsetHeight >= this.minHeight){
				return elem;
			}
			elem = elem.parentNode;
		}
		return null;
	},
	guessSelection : function(ev){
		var mouseX = ev.clientX;
		var mouseY = ev.clientY;
		var x = mouseX - favpart_monitor.browserPos.x;
		var y = mouseY - favpart_monitor.browserPos.y;
		var fullZoom = gBrowser.selectedBrowser.markupDocumentViewer.fullZoom;

		var elem = this.getSelectionFromPoint(x/fullZoom,y/fullZoom);
		
		var box = document.getElementById("selection-box");
		if (elem == null){
			this.setSelectionBoxPos(x-favpart_monitor.minWidth/2,y-favpart_monitor.minHeight/2,favpart_monitor.minWidth,favpart_monitor.minHeight);
		} else {
			var browser = gBrowser.selectedBrowser;
			var pos = livemargins_util.getRectTRBLWH(elem,browser.contentWindow);
			var doc = getBrowser().selectedBrowser.contentDocument;
			var elemX = pos.left * fullZoom;
			var elemY = pos.top * fullZoom;
			var elemWidth = pos.width * fullZoom;
			var elemHeight = pos.height * fullZoom;
//			var elemX = (pos.x - doc.defaultView.scrollX)*fullZoom;
//			var elemY = (pos.y - doc.defaultView.scrollY)*fullZoom;
//			var elemWidth = elem.offsetWidth*fullZoom;
//			var elemHeight = elem.offsetHeight*fullZoom;
			
			if (elemX >= 0 && elemY >= 0 && 
					elemX+elemWidth <= browser.boxObject.width + 1 && 
					elemY+elemHeight <= browser.boxObject.height + 1){
				this.setSelectionBoxPos(elemX,elemY,elemWidth,elemHeight);
			} else {
				this.setSelectionBoxPos(x-favpart_monitor.minWidth/2,y-favpart_monitor.minHeight/2,favpart_monitor.minWidth,favpart_monitor.minHeight);
			}
		}
	},
	startMove : function(ev){
		var mouseX = ev.clientX;
		var mouseY = ev.clientY;
		favpart_monitor.originalPos.x = ev.clientX;
		favpart_monitor.originalPos.y = ev.clientY;
		favpart_monitor.isMoving = true;
		var div = document.getElementById("capture-div");
		div.addEventListener("mousemove",movingHandler,false);
		div.addEventListener("mouseup",endMoveHandler,false);
	},
	moving : function(ev){
		var mouseX = ev.clientX;
		var mouseY = ev.clientY;
		var deltaX = mouseX - favpart_monitor.originalPos.x;
		var deltaY = mouseY - favpart_monitor.originalPos.y;
		favpart_monitor.originalPos.x = ev.clientX;
		favpart_monitor.originalPos.y = ev.clientY;
		this.setSelectionBoxPos(this.selectionBoxPos.left + deltaX, this.selectionBoxPos.top + deltaY,this.selectionBoxPos.width,this.selectionBoxPos.height);
	},
	endMove : function(ev){
		var div = document.getElementById("capture-div");
		div.removeEventListener("mousemove",movingHandler,false);
		div.removeEventListener("mouseup",endMoveHandler,false);
	},
	// boxDrawing : function(ev){
		// var box = document.getElementById("selection-box");
		// var div = document.getElementById("capture-div");
		// var mouseX = ev.clientX;
		// var mouseY = ev.clientY;
		// var left = (mouseX < favpart_monitor.originalPos.x ? mouseX : favpart_monitor.originalPos.x) - favpart_monitor.browserPos.x;
		// var top = (mouseY < favpart_monitor.originalPos.y ? mouseY : favpart_monitor.originalPos.y) - favpart_monitor.browserPos.y;

		// var width = Math.abs(mouseX - favpart_monitor.originalPos.x);
		// var height = Math.abs(mouseY - favpart_monitor.originalPos.y);
		
		// box.style.visibility = "hidden";
		// box.style.left = left + "px";
		// box.style.top = top + "px";

		// box.style.width = width + "px";
		// box.style.height = height + "px";
		// this.setSelectionBoxPos(left,top,width,height);
		// box.style.visibility = "visible";
	// },
	startResize : function(ev,direction){
		var mouseX = ev.clientX;
		var mouseY = ev.clientY;
		favpart_monitor.originalPos.x = ev.clientX;
		favpart_monitor.originalPos.y = ev.clientY;
		favpart_monitor.direction = direction;
		favpart_monitor.isResizing = true;
		var div = document.getElementById("capture-div");
		div.addEventListener("mousemove",resizingHandler,false);
		div.addEventListener("mouseup",endResizeHandler,false);
	},
	resizing : function(ev){
		if (this.direction == null) return;
		var mouseX = ev.clientX;
		var mouseY = ev.clientY;
/* usage
	setSelectionBoxPos : function(left,top,width,height)
*/
		if (this.direction.indexOf("left") != -1){
			var newLeft = this.selectionBoxPos.left-favpart_monitor.originalPos.x+mouseX;
			var newWidth = this.selectionBoxPos.width+favpart_monitor.originalPos.x-mouseX;
			if (newWidth > this.minWidth){
				this.setSelectionBoxPos(newLeft,this.selectionBoxPos.top,newWidth,this.selectionBoxPos.height);
				favpart_monitor.originalPos.x = ev.clientX;
			}
		} else if (this.direction.indexOf("right") != -1){
			var newWidth = this.selectionBoxPos.width-favpart_monitor.originalPos.x+mouseX;
			if (newWidth > this.minWidth){
				this.setSelectionBoxPos(this.selectionBoxPos.left,this.selectionBoxPos.top,newWidth,this.selectionBoxPos.height);
				favpart_monitor.originalPos.x = ev.clientX;
			}
		}

		if (this.direction.indexOf("top") != -1){
			var newTop = this.selectionBoxPos.top-favpart_monitor.originalPos.y+mouseY;
			var newHeight = this.selectionBoxPos.height+favpart_monitor.originalPos.y-mouseY;
			if (newHeight > this.minHeight){
				this.setSelectionBoxPos(this.selectionBoxPos.left,newTop,this.selectionBoxPos.width,newHeight);
				favpart_monitor.originalPos.y = ev.clientY;
			}
		} else if (this.direction.indexOf("bottom") != -1){
			var newHeight = this.selectionBoxPos.height-favpart_monitor.originalPos.y+mouseY;
			if (newHeight > this.minHeight){
				this.setSelectionBoxPos(this.selectionBoxPos.left,this.selectionBoxPos.top,this.selectionBoxPos.width,newHeight);
				favpart_monitor.originalPos.y = ev.clientY;
			}
		}		
	},
	endResize : function(ev){
		var div = document.getElementById("capture-div");
		div.removeEventListener("mousemove",resizingHandler,false);
		div.removeEventListener("mouseup",endResizeHandler,false);
	},
	endDraw : function(ev){
		var div = document.getElementById("capture-div");
		var box = document.getElementById("selection-box");
		favpart_monitor.LOG("endDraw");
		box.style.visibility = "visible";
		div.removeEventListener("mousemove",guessSelectionHandler,false);
		div.removeEventListener("mousedown",endDrawHandler,false);
		var controlSet = document.getElementById("selectionbox-control-set");
//		this.LOG(box.style.width);
//		this.LOG(box.style.height);
		controlSet.width = parseInt(box.style.width)+10;
		controlSet.height = parseInt(box.style.height)+10;
		controlSet.setAttribute("style","visibility:visible");
		controlSet.setAttribute("style","-moz-box-flex:1");

	},


	//import the history data from LM1 to LM2
	importHistory: function(){
	        favpart_monitor.LOG("importHistory");
		//read from the stocklist.lst
		var filepath = this.getHistoryFile();	
		filepath += "\\Chrome\\linkool\\juice\\stocklist.lst";	
		var stockstr = this.read(filepath);
		//wirte to the cookie
		if (stockstr != null){
			this.write(stockstr);
		}
	},
	
	read : function(filepath){
	        favpart_monitor.LOG("read");
		var file = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);
		file.initWithPath(filepath);
		if (file.exists() == false) {
	    		//alert("File does not exist");
			return;
		}
		var is = Components.classes["@mozilla.org/network/file-input-stream;1"].createInstance(Components.interfaces.nsIFileInputStream);
		is.init(file, 0x01, 00004, null);
		var sis = Components.classes["@mozilla.org/scriptableinputstream;1"].createInstance(Components.interfaces.nsIScriptableInputStream);
		sis.init(is);
		var stocklist = sis.read(sis.available());
		return stocklist;
	},
	
	getHistoryFile: function() {
	        favpart_monitor.LOG("getHistoryFile");
	    	var file = Components.classes['@mozilla.org/file/directory_service;1'].getService(Components.interfaces.nsIProperties).get('ProfD', Components.interfaces.nsIFile);
	    	return file.path;
	},
	
	 write : function(stockstr) {
		var ios = Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService);
		//var cookieUri = ios.newURI("http://fe1.g-fox.cn/", null, null);
		var cookieUri = ios.newURI("http://fe1.g-fox.cn:8000/WebContent/stock/stockC/", null, null);
		var cookieSvc = Components.classes["@mozilla.org/cookieService;1"].getService(Components.interfaces.nsICookieService);
		cookieStr="lk_stockwidget="+stockstr;
		cookieSvc.setCookieString(cookieUri, null, cookieStr, null);
		//var cookie = cookieSvc.getCookieString(cookieUri, null);
		//alert(cookie);
	    },


};

function movingHandler (event){
	favpart_monitor.moving(event);
}

function endMoveHandler (event){
	favpart_monitor.endMove(event);
}

function resizingHandler(event){
	favpart_monitor.resizing(event);
}

function endResizeHandler (event){
	favpart_monitor.endResize(event);
}

function drawHandler(event){
	favpart_monitor.boxDrawing(event);
}

function guessSelectionHandler(event){
	favpart_monitor.guessSelection(event);
}
function endDrawHandler(event){
	favpart_monitor.endDraw(event);
}
function endCaptureHandler(event){
	favpart_monitor.endCapture(event);
}
function favpart_openWidget(id){
	favpart_manager.openWidget(id);
}
function favpart_hideAll(){
	favpart_manager.hideAll();
}
function favpart_showAll(){
	favpart_manager.showAll();
}
function showHideButtonClick(event){
	var button = document.getElementById("favpart-statusbar");
	if (button.image == "chrome://livemargins/skin/Folder-open.png"){
		favpart_hideAll();
		button.image = "chrome://livemargins/skin/Folder-hide.png";
		button.setAttribute("image","chrome://livemargins/skin/Folder-hide.png");
	} else{
		favpart_showAll();
		button.image = "chrome://livemargins/skin/Folder-open.png";
		button.setAttribute("image","chrome://livemargins/skin/Folder-open.png");
	}
}

function favpart_firstRun(){
	try {
		favpart_monitor.LOG("favpart_firstRun");
		favpart_addToolbarButtons(true);
		//import the history data from LM1 to LM2
		favpart_monitor.importHistory();


	} catch (e) { favpart_monitor.LOG(e.toString());}
}

function favpart_addToolbarButtons(force){
	var firefoxnav = document.getElementById("nav-bar"); // use "nav-bar" in Firefox 2 and earlier
	var curSet = firefoxnav.currentSet;
	if (curSet.indexOf("favpart-button") == -1 || curSet.indexOf("livemargin3-button") == -1)
	{
		var set = firefoxnav.currentSet + ""; // to build a new string , not sure and should make sure later.
		// Place the button before the urlbar
		var manuallyRemovedLM3Button = favpart_manager.getPref("manuallyRemovedLivemargin3Button",false);
		var manuallyRemovedFavpartButton = favpart_manager.getPref("manuallyRemovedFavpartButton",false);
		if (force == null) force = false;  //in case null || something case a exception, it happened before
		if (curSet.indexOf("favpart-button") == -1 && (force || manuallyRemovedFavpartButton == false)){
			if (curSet.indexOf("urlbar-container") != -1)
				set = curSet.replace(/urlbar-container/, "favpart-button,urlbar-container");
			else  // at the end
				set = firefoxnav.currentSet + ",favpart-button";
		}
		if (set.indexOf("livemargin3-button") == -1 && (force || manuallyRemovedLM3Button == false)){
			set = set + ",livemargin3-button";
		}
		firefoxnav.setAttribute("currentset", set);
		firefoxnav.currentSet = set;
		document.persist("nav-bar", "currentset");
		// If you don't do the following call, funny things happen
		try {
			BrowserToolboxCustomizeDone(true);
		}
		catch (e) { favpart_monitor.LOG(e.toString());}
	}
}

window.addEventListener("load",function() {
			if (Application.extensions.get("livemargins@mozillaonline.com").firstRun || Application.extensions.get("livemargins@mozillaonline.com").prefs.getValue("lastVerForUIChange","0.1.0") < "2.9.0"){
				favpart_firstRun();
				Application.extensions.get("livemargins@mozillaonline.com").prefs.setValue("lastVerForUIChange","2.9.0");
			}
			favpart_monitor.init();
		},false);

window.addEventListener("unload",function(event) {
			if (event.originalTarget == document) {
				favpart_manager.checkQuit();
			}
		},true);

window.addEventListener("click",function(event) {
//			favpart_manager.closeSearchWin();
//			favpart_manager.closePicWin();
		},false);

