Components.utils.import("resource://livemargins/manager2.js");
var widget = {
	__proto__ : widgetbase,	//make this object 'extends' widgetbase
	isMovingContent : false,
	isMovingWindow : false,
	isResizing : false,
	moveStartPos : {x : 0,y : 0},
	defaultView : null,
	reloader : null,
	reloadInterval : 20000,
	titlebarMinWidth : 160,
	LOG : function(msg) {
		this.__proto__.LOG.apply(this,["favpart radio widget: "+ msg]);
	},
	openLinkInTab : function(){
		this.__proto__.openLinkInTab.apply(this,[true]);
	},
	reportClick : function(link){
		var req = new XMLHttpRequest();  
		req.open('GET', 'http://www.g-fox.cn/livemargins/reportRadioLink.html?value='+encodeURIComponent(link), true);   
		req.send(null);  
	},
	initBrowser: function() {
		this.LOG(['real loaded', this.browser]);
		this.openLinkInTab();
		this.injectJStoBrowser("http://www.g-fox.cn/livemargins/radioWidget.js");
		this.detectLogin();
	},
	detectLogin : function(){
		this.LOG("detectLogin");
		var browser = document.getElementById('player_browser');
		function doDetect(){
			if (browser.contentWindow.wrappedJSObject.user_logged_in != null && browser.contentWindow.wrappedJSObject.user_logged_in){
				document.getElementById('douban-setting').style.display = '-moz-box';
				document.getElementById('right-button-box-separator').style.display = '-moz-box';
			} else {
				widget.LOG("//////////fall into else////");
				document.getElementById('douban-setting').style.display = 'none';
				document.getElementById('right-button-box-separator').style.display = 'none';
			}
		}
		browser.addEventListener("DOMContentLoaded",function(){doDetect();},false);
		//only for the first time:)
		doDetect();
	},
	getIcon : function(){
		return "chrome://livemargins/skin/radio-icon.png";
	},
	openURL : function(url){
		const wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                         .getService(Components.interfaces.nsIWindowMediator);
		var mainWin = wm.getMostRecentWindow( "navigator:browser" );
		if (mainWin) {
			mainWin.focus();
			var gBrowser = mainWin.getBrowser();
			gBrowser.selectedTab = gBrowser.addTab(url);
		} else {
			window.open(url);
		}
	},
};

window.addEventListener("load",function() {widget.init();},false);
