Components.utils.import("resource://livemargins/manager2.js");
var widget = {
    __proto__ : widgetbase,    //make this object 'extends' widgetbase
    isMovingContent : false,
    isMovingWindow : false,
    isResizing : false,
    moveStartPos : {x : 0,y : 0},
    defaultView : null,
    reloader : null,
    reloadInterval : 20000,
    titlebarMinWidth : 160,
    width : 300,
    height :325,
    heightIncrement :31,
	overflowTimer : null,
    //heightWithPlaylist :700,
    LOG : function(msg) {
        this.__proto__.LOG.apply(this,["favpart stock player: "+ msg]);
    },
    init : function(){
        this.LOG("init");
        var args = window.arguments[0];
        if (args.widgetArgs == null){
            args.widgetArgs = {docked:false};
        }
        if (args.widgetArgs.docked == null){
            args.widgetArgs.docked = false;
        }
        this.__proto__.init.apply(this);
    },
    openLinkInTab : function(){
        this.__proto__.openLinkInTab.apply(this,[true]);
    },
    initBrowser: function() {
	this.LOG(['real loaded', this.browser]);
        this.hackDelStock();
        document.getElementById("player_browser").addEventListener("overflow",function(){widget.adjustShape();widget.overflowTimer = window.setInterval(function(){widget.adjustShape();},500);},false);
        document.getElementById("player_browser").addEventListener("underflow",function(){window.clearInterval(widget.overflowTimer);},false);
        this.openLinkInTab();
        this.injectJStoBrowser("http://www.g-fox.cn/livemargins/stockWidget.js");
    },
    reportClick : function(link){
        var req = new XMLHttpRequest();  
        req.open('GET', 'http://www.g-fox.cn/livemargins/reportStockLink.html?value='+encodeURIComponent(link), true);   
        req.send(null);  
    },
    adjustShape : function() {
        widget.LOG("adjustShape");
        var contentBrowser = document.getElementById("player_browser");
        var win = contentBrowser.contentDocument.defaultView.wrappedJSObject;

        this.height = win.document.height;
        contentBrowser.contentWindow.scrollTo(0,0);

        var self = this;
        window.setTimeout(function(){window.resizeTo(self.width+6,self.height+30);},0);
        window.setTimeout(function(){window.moveTo(args.screenX,args.screenY);},0);
    },
    hackDelStock: function() {
        var browser = document.getElementById('player_browser');
        var win = browser.contentDocument.defaultView.wrappedJSObject;

        var _delstock=win.delstock;
        var me = this;
        win.delstock = function(){
            me.cutStockWidgetLen();
            _delstock.apply(win,arguments);
        };

    },


    cutStockWidgetLen : function() {
        widget.LOG("cutStockWidgetLen");
        var swl = document.getElementById("playlist");

        //window.resizeTo(this.width,document.height+document.getElementById("chrome-title-box").boxObject.height);
        window.resizeTo(this.width,document.height-this.heightIncrement);

        var browser = document.getElementById("player_browser");
        browser.contentWindow.scrollTo(0,0);

    },





    getIcon : function(){
        return "chrome://livemargins/skin/stock-icon.png";
    },
};

    
window.addEventListener("load",function() {widget.init();},false);
